Loading...
Searching...
No Matches
Polynomial.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/scimath/Functionals/PolynomialParam.h>`
`#include <casacore/scimath/Functionals/Function1D.h>`
`#include <casacore/scimath/Mathematics/AutoDiff.h>`
`#include <casacore/scimath/Mathematics/AutoDiffMath.h>`

Go to the source code of this file.

## Classes

class | casacore::Polynomial_PS< AutoDiff< T > >
| Partial specialization of Polynomial for AutoDiff. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Macros

#define | Polynomial_PS

## Functions

| casacore::Polynomial ()
| casacore::Polynomial (uInt order)
| Makes a polynomial of the given order, with all coeficcients set to zero.
| casacore::Polynomial (const Polynomial< T > &other)
| Copy constructor/assignment (deep copy).
template<class W>
| casacore::Polynomial (const Polynomial< W > &other)
Polynomial< T > & | casacore::operator= (const Polynomial< T > &other)
virtual | casacore::~Polynomial ()
| Destructor.
virtual T | casacore::eval (typename Function1D< T >::FunctionArg x) const
| Evaluate the polynomial at x.
Polynomial< T > | casacore::derivative () const
| Return the polynomial which is the derivative of this one.
RecordInterface * | casacore::clone () const override
| Make a copy of this object.
virtual Function< typename FunctionTraits< T >::DiffType > * | casacore::cloneAD () const
virtual Function< typename FunctionTraits< T >::BaseType > * | casacore::cloneNonAD () const
| casacore::PolynomialParam ()
| casacore::PolynomialParam ()
| casacore::PolynomialParam ()

## Macro Definition Documentation

## Polynomial_PS

#define Polynomial_PS

Definition at line 138 of file Polynomial.h.